psqlodbc (1:09.06.0310-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 15 May 2017 09:42:43 +0200

psqlodbc (1:09.06.0200-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 24 Mar 2017 22:31:20 +0100

psqlodbc (1:09.05.0400-2) unstable; urgency=medium

  * Bump test dependencies to PostgreSQL 9.6.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Jan 2017 22:09:00 +0100

psqlodbc (1:09.05.0400-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Aug 2016 18:23:48 +0200

psqlodbc (1:09.05.0100-3) unstable; urgency=medium

  * Add patch by Hiroshi Inoue to fix test failures on sparc64.
  * connection.c: Remove __DATE__ to make build reproducible again.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Apr 2016 20:34:30 +0200

psqlodbc (1:09.05.0100-2) unstable; urgency=medium

  * Add test/expected/result-conversions_1.out to catch big-endian int4 and
    text representations.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 05 Apr 2016 10:48:35 +0200

psqlodbc (1:09.05.0100-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release, new project website. Closes: #775980.
  * Add missing postgresql-server-dev-all test dependency so that the test has
    pg_buildext.

  [ Christoph Berg ]
  * Convert packaging to dh.
  * Use pg_buildext to keep test dependencies updated. (As an artifact we have
    debian/control.in now, but it doesn't differ from debian/control.)
  * deprecated_1.out: Add alternative test output file for older distributions.

 -- Christoph Berg <myon@debian.org>  Fri, 18 Mar 2016 18:46:25 +0100

psqlodbc (1:09.03.0400-1) experimental; urgency=medium

  * New upstream release.
  * Switch watch file to http.
  * Test all supported PostgreSQL versions at build/install time, not only the
    most recent one.
  * Use Makefile in build/W/test for running testsuite.
  * Bump S-V.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Nov 2014 22:45:23 +0100

psqlodbc (1:09.03.0300-1) unstable; urgency=medium

  * New upstream release.
  * Patch bogus expected output of test catalogfunctions.
  * Add alternative expected output for test deprecated.
  * Set team as maintainer.
  * Bump to dh 9.
  * Use /usr/share/cdbs/1/rules/autoreconf.mk. Closes: #744650.

 -- Christoph Berg <myon@debian.org>  Thu, 29 May 2014 23:17:25 +0200

psqlodbc (1:09.03.0210-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 12 Mar 2014 13:01:24 +0100

psqlodbc (1:09.03.0100-3) unstable; urgency=medium

  * Pull another patch to fix positioned-update test failure on s390x.
    Thanks to Heikki Linnakangas for looking into this.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2014 14:57:08 +0100

psqlodbc (1:09.03.0100-2) unstable; urgency=medium

  * Pull patch from upstream to fix cursor test failures on (mostly big
    endian) systems.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2014 13:48:24 +0100

psqlodbc (1:09.03.0100-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/odbc_config_dummy to fail when passed an unknown argument;
    add --lib-prefix.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 05 Feb 2014 17:34:02 +0100

psqlodbc (1:09.02.0100-3) unstable; urgency=low

  * Replace VOID with void in test/src/dataatexecution-test.c.
  * Unixodbc 2.3.1 fixes the mips problems, unignore failures there.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Nov 2013 23:33:55 +0100

psqlodbc (1:09.02.0100-2) unstable; urgency=low

  * Ignore iusql failure on *mips*.
  * Add patch by Hiroshi Inoue to fix failure on s390x.
  * Remove test/src/common.o on clean.
  * Support DEB_BUILD_OPTIONS=nocheck.

 -- Christoph Berg <myon@debian.org>  Thu, 13 Jun 2013 11:11:03 +0200

psqlodbc (1:09.02.0100-1) unstable; urgency=low

  * New upstream release.
  * Run make installcheck at build time.
    + Ignore iusql failure on mipsel, see #711954.
  * Add B-D: postgresql-server-dev-all. (We only need one version, though.)

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jun 2013 17:28:50 +0200

psqlodbc (1:09.01.0200-4) unstable; urgency=low

  * Skip testsuite on hurd, it doesn't have a working PostgreSQL server.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jun 2013 20:32:46 -0700

psqlodbc (1:09.01.0200-3) unstable; urgency=low

  * Relax Breaks: libiodbc2 (<= 3.52.7-2) so we don't "break" the fixed wheezy
    version.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2013 23:17:44 -0700

psqlodbc (1:09.01.0200-2) unstable; urgency=low

  * Versioned Breaks: libiodbc2 (<< 3.52.7-3~), it is multiarch-aware now.
    (Fixes co-installability with KDE, Closes: #703047.)
  * Add build-time test and autopkgtest using isql; autopkgtest will also test
    using iodbctest. (Needs pg-common >= 144 for pg_virtualenv.)

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2013 22:29:52 -0700

psqlodbc (1:09.01.0200-1) experimental; urgency=low

  * New upstream release.
  * Add lintian override for breaks-without-version libiodbc2.
  * Move packaging to git.debian.org.

 -- Christoph Berg <myon@debian.org>  Sat, 03 Nov 2012 11:07:35 +0100

psqlodbc (1:09.01.0100-1) unstable; urgency=low

  * New upgrade release.

 -- Christoph Berg <myon@debian.org>  Fri, 30 Dec 2011 19:09:04 +0100

psqlodbc (1:09.00.0310-2) unstable; urgency=low

  [ Christoph Berg ]
  * Don't ship .la files at all.
  * Add Steve as co-maintainer.  Thanks for the multiarch changes!
  * Delete-and-readd the odbcinst.ini sections on upgrade.

  [ Steve Langasek ]
  * Install to /usr/lib/$(DEB_HOST_MULTIARCH)/odbc.  Closes: #638806.
  * Use a relative path in odbcinst.ini.
  * Declare a Breaks: on old versions of unixodbc that won't look up relative
    filenames in the odbc directory.
  * Mark the package Multi-Arch: same.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Aug 2011 14:09:09 +0200

psqlodbc (1:09.00.0310-1) unstable; urgency=low

  * New upstream release.
  * Empty dependency_libs fields in our .la files.

 -- Christoph Berg <myon@debian.org>  Sat, 09 Jul 2011 08:39:43 +0200

psqlodbc (1:09.00.0300-1) unstable; urgency=low

  * New upstream release.
  * Add odbc-postgresql-dbg debug package.  Closes: #592736.

 -- Christoph Berg <myon@debian.org>  Tue, 31 May 2011 15:47:36 +0200

psqlodbc (1:09.00.0200-2) unstable; urgency=low

  * Section: database.
  * Install driver definition to /etc/odbcinst.ini.  Closes: #374197.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2011 15:13:24 +0200

psqlodbc (1:09.00.0200-1) unstable; urgency=low

  * New upstream release.
  * Fix installing {A,W}/usr/lib/odbc.  Closes: #618210.
  * Convert to 3.0 (quilt).
  * Remove psqlodbc-580878.diff: implemented upstream.
  * Remove psqlodbc-585476.diff: was caused by #519006 which is now closed.
  * Update description, suggested by Martin Eberhard Schauer.
    Closes: #565611.
  * New maintainer.  Closes: #472818.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Apr 2011 14:48:23 +0200

psqlodbc (1:08.03.0200-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/psqlodbc-585476.diff: use freeaddrinfo, getaddrinfo,
    getnameinfo directly instead of via function pointers, to work around
    a toolchain bug on mips and mipsel.  Closes: #585476.

 -- Steve Langasek <vorlon@debian.org>  Fri, 11 Jun 2010 05:54:04 +0000

psqlodbc (1:08.03.0200-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Drop psqlodbc-358949.diff completely, since it causes a build failure
    with the latest unixodbc now that SQLROWOFFSET is obsolete.
    Closes: #582988.
  * debian/patches/psqlodbc-580878.diff: don't use SQLROWSETSIZE, also
    obsoleted.  Closes: #580878.
  * Fix debian/rules support for building multiple flavors to be compatible
    with recent cdbs.  Thanks to Julien Cristau for the patch.
    Closes: #564399.

 -- Steve Langasek <vorlon@debian.org>  Tue, 08 Jun 2010 06:48:02 +0000

psqlodbc (1:08.03.0200-1) unstable; urgency=low

  * New upstream release
    - Disables some broken code (closes: #396218)
    - Obsoletes psqlodbc-413534.diff and most of psqlodbc-358949.diff

 -- Peter Eisentraut <petere@debian.org>  Fri, 09 May 2008 10:40:32 +0200

psqlodbc (1:08.01.0200-3) unstable; urgency=low

  * Added Homepage control field
  * Updated standards version
  * Added Vcs-* control fields

 -- Peter Eisentraut <petere@debian.org>  Wed, 26 Mar 2008 11:59:18 +0100

psqlodbc (1:08.01.0200-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Fix the signature of SQLGetData on 64-bit architectures.

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Mar 2007 22:28:19 -0800

psqlodbc (1:08.01.0200-2) unstable; urgency=low

  * Fix to build on 64-bit architectures (closes: #358949)
    (patch by Steve Langasek)

 -- Peter Eisentraut <petere@debian.org>  Mon, 10 Apr 2006 13:58:05 +0200

psqlodbc (1:08.01.0200-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file
  * Updated download location
  * Changed build system to build ANSI and Unicode variants; odbcinst
    template changed accordingly
  * Dropped legacy driver location /usr/lib/postgresql/lib
  * Updated README.Debian

 -- Peter Eisentraut <petere@debian.org>  Wed, 22 Feb 2006 15:11:00 +0100

psqlodbc (1:08.01.0102-1) unstable; urgency=low

  * New upstream release
  * Changed to debhelper level 5
  * Removed old FSF address from copyright file
  * Installed new documentation

 -- Peter Eisentraut <petere@debian.org>  Mon, 16 Jan 2006 19:17:55 +0100

psqlodbc (1:08.01.0005-1) experimental; urgency=low

  * New upstream version
    - Includes IPv6 support (closes: #312983)
  * Updated standards version
  * Changed watch file to track snapshot releases
  * Added build dependency on libpq-dev

 -- Peter Eisentraut <petere@debian.org>  Thu, 20 Oct 2005 11:48:42 +0200

psqlodbc (1:08.00.0101-2) unstable; urgency=low

  * First upload of this upstream version to unstable (closes: #292311)
  * Changed maintainer address
  * Revised README.Debian

 -- Peter Eisentraut <petere@debian.org>  Wed,  1 Jun 2005 15:49:19 +0200

psqlodbc (1:08.00.0101-1) experimental; urgency=low

  * New upstream release (closes: #292311)
    - Obsoletes patches 10_psqlodbc-makestring, 20_psqlodbc-64bit
  * Converted to CDBS

 -- Peter Eisentraut <peter_e@gmx.net>  Tue, 22 Mar 2005 12:38:48 +0100

psqlodbc (1:07.03.0200-5) unstable; urgency=low

  * Corrected license to old LGPL 2
  * Big debian/rules modernization
  * Moved odbc.ini.template to examples directory
  * Converted to dpatch
  * Added update of config.{guess,sub}
  * Renamed unixodbc.HOWTO to README.Debian; revised
  * Moved installation to /usr/lib/odbc; added symlink to old location
    for compatibility
  * Dropped postgresql-dev dependency

 -- Peter Eisentraut <peter_e@gmx.net>  Sun, 14 Nov 2004 16:12:31 +0100

psqlodbc (1:07.03.0200-4) unstable; urgency=low

  * New maintainer (closes: #228073)
  * Removed suggestion of libiodbc2, because this driver is unixODBC
    only at this time; upgraded unixodbc to recommendation
  * Removed suggestion of postgresql, because clients don't need to
    suggest their servers
  * Revised description (closes: #252686)
  * Fixed several misguided assumptions that sizeof(long)==4; based
    on patch installed upstream on 2004-07-01 (closes: #254847)
  * Added watch file

 -- Peter Eisentraut <peter_e@gmx.net>  Sun, 11 Jul 2004 10:38:13 +0200

psqlodbc (1:07.03.0200-3) unstable; urgency=high

  * urgency high since this is a security related bug and no other changes
    were made
  * misc.c: added target buffer size parameter to make_string() to prevent
    buffer overflows and corrected all calls to it (closes: #247306)

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 May 2004 10:47:36 +0200

psqlodbc (1:07.03.0200-2) unstable; urgency=high

  * removed dependency to postgresql again since there are users who want only
    the driver without a full postgresql installation (closes: #233113)
  * urgency high because I did not change anything apart from the dependency,
    the previous revision is already in sarge and this seems to be a real
    hassle for testing users

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 Feb 2004 08:29:20 +0100

psqlodbc (1:07.03.0200-1) unstable; urgency=low

  * separated out of postgresql source package; thus a new epoch had to be
    created, postgresql is already at 7.4.1
  * added depencendy postgresql since this package does not make sense
    without it
  * corrected path to odbc.sql in unixodbc.HOWTO (closes: #194653)

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Jan 2004 22:54:37 +0100
